/// <reference types="node" />
import React, { Component } from "react";
import { InputImplement } from '../../types/input.implement';
import { ToggleInputProps, ToggleInputValueType } from './toggle.types';
interface IState {
    value: ToggleInputValueType;
    error: boolean;
}
export declare class ToggleInput extends Component<ToggleInputProps, IState> implements InputImplement<ToggleInputValueType> {
    state: IState;
    validationTimeout: NodeJS.Timeout | undefined;
    inputRef: HTMLInputElement | undefined;
    shouldComponentUpdate(nextProps: ToggleInputProps, nextState: IState): boolean;
    setValue(value: ToggleInputValueType): Promise<any>;
    getValue(): ToggleInputValueType;
    clear(): Promise<any>;
    validation(): boolean;
    onChange: (_: React.MouseEvent<HTMLElement>, value: ToggleInputValueType) => void;
    private onClick;
    click: () => void;
    focus: () => void;
    blur: () => void;
    render(): JSX.Element;
}
export {};
